texmath-0.13.2: Conversion between math formats.

Safe Haskell | None
Language | Haskell2010

Text.TeXMath.Writers.TeX

Synopsis

- writeTeX :: [Exp] -> Text
- writeTeXWith :: Env -> [Exp] -> Text
- addLaTeXEnvironment :: DisplayType -> Text -> Text

# Documentation

writeTeX :: [Exp] -> Text Source #

Transforms an expression tree to equivalent LaTeX with the default packages (amsmath, amssymb, and cancel)

writeTeXWith :: Env -> [Exp] -> Text Source #

Transforms an expression tree to equivalent LaTeX with the specified packages

addLaTeXEnvironment :: DisplayType -> Text -> Text Source #

Adds the correct LaTeX environment around a TeXMath fragment